package cn.iocoder.yudao.module.wms.service.barcode;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.wms.controller.admin.barcode.vo.BarCodePageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.barcode.vo.BarCodeSaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.barcode.BarCodeDO;
import cn.iocoder.yudao.module.wms.dal.mysql.barcode.BarCodeMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 条码管理 Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class BarCodeServiceImpl implements BarCodeService {

    @Resource
    private BarCodeMapper barCodeMapper;

    @Override
    public Long createBarCode(BarCodeSaveReqVO createReqVO) {
        // 插入
        BarCodeDO barCode = BeanUtils.toBean(createReqVO, BarCodeDO.class);
        barCodeMapper.insert(barCode);
        // 返回
        return barCode.getId();
    }

    @Override
    public void updateBarCode(BarCodeSaveReqVO updateReqVO) {
        // 更新
        BarCodeDO updateObj = BeanUtils.toBean(updateReqVO, BarCodeDO.class);
        barCodeMapper.updateById(updateObj);
    }

    @Override
    public void deleteBarCode(Long id) {
        // 删除
        barCodeMapper.deleteById(id);
    }

    @Override
    public BarCodeDO getBarCode(Long id) {
        return barCodeMapper.selectById(id);
    }

    @Override
    public PageResult<BarCodeDO> getBarCodePage(BarCodePageReqVO pageReqVO) {
        return barCodeMapper.selectPage(pageReqVO);
    }

}
